#!/usr/bin/env php
<?php
include dirname(__FILE__, 5) . '/test/lib/init.php';
su('admin');

zdTable('pi')->gen(100);
zdTable('teamgroup')->gen(100);

/**

title=测试 piModel->getByART();
timeout=0
cid=1

- 根据ART11获取PI的数量, 但是不限制状态 @1
- 根据ART11获取PI的数量, 限制状态为正常 @1
- 根据ART61获取PI的数量, 但是不限制状态 @1
- 根据ART61获取PI的数量, 限制状态为正常 @0
- 查看ART11关联的PI的团队详情第51条的name属性 @子团队1
- 查看ART61关联的PI的团队详情第52条的name属性 @子团队2

*/

global $tester;
$tester->loadModel('pi');

r(count($tester->pi->getByART(11, ''))) && p('')   && e('1'); // 根据ART11获取PI的数量, 但是不限制状态
r(count($tester->pi->getByART(11)))     && p('')   && e('1'); // 根据ART11获取PI的数量, 限制状态为正常

r(count($tester->pi->getByART(61, ''))) && p('')   && e('1'); // 根据ART61获取PI的数量, 但是不限制状态
r(count($tester->pi->getByART(61)))     && p('')   && e('0'); // 根据ART61获取PI的数量, 限制状态为正常

r($tester->pi->getByART(11, '')[11]->teams) && p('51:name') && e('子团队1'); // 查看ART11关联的PI的团队详情
r($tester->pi->getByART(61, '')[61]->teams) && p('52:name') && e('子团队2'); // 查看ART61关联的PI的团队详情